<?php
/**
 * PL Development.
 *
 * @category    PL
 * @author      Linh Pham <plinh5@gmail.com>
 * @copyright   Copyright (c) 2016 PL Development. (http://www.polacin.com)
 */
?>
<?php $jsonHelper = $this->helper('\Magento\Framework\Json\Helper\Data');?>
<?php $_info = $this->getInfo();?>
<div><?php echo $block->escapeHtml($block->getMethod()->getTitle()) ?></div>


<table class="data-table admin__table-secondary">
    <?php
    if ($_info->getAdditionalInformation('payment_additional_info')):
        $paymentInfo = $jsonHelper->jsonDecode($_info->getAdditionalInformation('payment_additional_info'));
        ?>

        <?php if (isset($paymentInfo['sourceOfFunds.provided.card.brand'])):?>
        <tr>
            <th>Card Type: </th>
            <td><?php echo $paymentInfo['sourceOfFunds.provided.card.brand']?></td>
        </tr>
    <?php endif;?>
        <?php if (isset($paymentInfo['sourceOfFunds.provided.card.nameOnCard'])):?>
        <tr>
            <th>Name: </th>
            <td> <?php echo $paymentInfo['sourceOfFunds.provided.card.nameOnCard']?></td>
        </tr>
    <?php endif;?>
        <?php if (isset($paymentInfo['sourceOfFunds.provided.card.number'])):?>
        <tr>
            <th>Credit Card Number: </th>
            <td> <?php echo $paymentInfo['sourceOfFunds.provided.card.number']?></td>
        </tr>
    <?php endif;?>
        <?php if (isset($paymentInfo['status'])):?>
        <tr>
            <th>Status: </th>
            <td> <?php echo $paymentInfo['status']?></td>
        </tr>
    <?php endif;?><?php if (isset($paymentInfo['id'])):?>
        <tr>
            <th>Order ID: </th>
            <td> <?php echo $paymentInfo['id']?></td>
        </tr>
    <?php endif;?>

    <?php endif;?>
</table>
